# ItemUtils (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.utils

## Class ItemUtils

- java.lang.Object
- - de.epiceric.shopchest.utils.ItemUtils

    public class ItemUtils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ItemUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static CustomBookMeta.Generation` `getBookGeneration(org.bukkit.inventory.ItemStack itemStack)`
`static Map<org.bukkit.enchantments.Enchantment,Integer>` `getEnchantments(org.bukkit.inventory.ItemStack itemStack)`
`static org.bukkit.inventory.ItemStack` `getItemStack(String item)` Get the `ItemStack` from a String
`static org.bukkit.potion.PotionType` `getPotionEffect(org.bukkit.inventory.ItemStack itemStack)`
`static boolean` `isExtendedPotion(org.bukkit.inventory.ItemStack itemStack)`
`static boolean` `isMusicDisc(org.bukkit.inventory.ItemStack itemStack)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ItemUtils

    public ItemUtils()

### Method Detail

#### getEnchantments

    public static Map<org.bukkit.enchantments.Enchantment,Integer> getEnchantments(org.bukkit.inventory.ItemStack itemStack)

#### getPotionEffect

    public static org.bukkit.potion.PotionType getPotionEffect(org.bukkit.inventory.ItemStack itemStack)

#### isExtendedPotion

    public static boolean isExtendedPotion(org.bukkit.inventory.ItemStack itemStack)

#### isMusicDisc

    public static boolean isMusicDisc(org.bukkit.inventory.ItemStack itemStack)

#### getBookGeneration

    public static CustomBookMeta.Generation getBookGeneration(org.bukkit.inventory.ItemStack itemStack)

#### getItemStack

    public static org.bukkit.inventory.ItemStack getItemStack(String item)

Get the `ItemStack` from a String

Parameters:
  `item` - Serialized ItemStack e.g. `"STONE"` or `"STONE:1"`
Returns:
  The de-serialized ItemStack or `null` if the serialized item is invalid